Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.binding
Class XMLServicesStore

    java.lang.Object
      org.jboss.services.binding.XMLServicesStore

All Implemented Interfaces:
  ServicesStore

public class XMLServicesStore
extends Object
implements ServicesStore

XML implementation of ServicesStore.

Reads/writes/manages the XML config file for the ServiceBinding Manager module

Version:
  $Revision: 1.7 $
Author:
  Mike Finn., Scott.Stark@jboss.org

Constructor Summary
`XMLServicesStore()`

Method Summary
`void` | `addService(String serverName, javax.management.ObjectName serviceName, ServiceConfig config)` This method is not usable in this implementation as XMLServiceStore is read-only
`ServiceConfig` | `getService(String serverName, javax.management.ObjectName serviceName)` Looks up a service, by server name and service name.
`void` | `load(URL cfgURL)` Loads XML config file into memory and parses it into ServiceConfig objects.
`void` | `removeService(String serverName, javax.management.ObjectName serviceName)` This method is not usable in this implementation as XMLServiceStore is read-only
`void` | `store(URL cfgURL)` Store is a noop as this is a read-only store

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLServicesStore

    public XMLServicesStore()

Method Detail

### addService

    public void addService(String serverName,
                           javax.management.ObjectName serviceName,
                           ServiceConfig config)
                    throws DuplicateServiceException

  This method is not usable in this implementation as XMLServiceStore is read-only

  Specified by:
    `addService` in interface `ServicesStore`
  Parameters:
    `serverName` -
    `serviceName` -
    `config` -
  Throws:
    `DuplicateServiceException` - never thrown
    `UnsupportedOperationException("XMLServiceStore` - is read-only") always thrown

### getService

    public ServiceConfig getService(String serverName,
                                    javax.management.ObjectName serviceName)

  Looks up a service, by server name and service name. If the server or service does not exist, a null object is returned.

  Specified by:
    `getService` in interface `ServicesStore`
  Parameters:
    `serverName` - The name of the server in the config file
    `serviceName` - The name of the service (i.e. the JMX object name)
  Returns:
    The ServiceConfig if one exists for the pair, null otherwise.

### removeService

    public void removeService(String serverName,
                              javax.management.ObjectName serviceName)

  This method is not usable in this implementation as XMLServiceStore is read-only

  Specified by:
    `removeService` in interface `ServicesStore`
  Parameters:
    `serverName` -
    `serviceName` -
  Throws:
    `UnsupportedOperationException("XMLServiceStore` - is read-only") always thrown

### load

    public void load(URL cfgURL)
              throws Exception

  Loads XML config file into memory and parses it into ServiceConfig objects.

  Specified by:
    `load` in interface `ServicesStore`
  Parameters:
    `cfgURL` - the URL representing the location of the store
  Throws:
    `Exception` - on any parse error

### store

    public void store(URL cfgURL)
               throws Exception

  Store is a noop as this is a read-only store

  Specified by:
    `store` in interface `ServicesStore`
  Parameters:
    `cfgURL` - the URL representing the location of the store
  Throws:
    `Exception` - thrown on any failure to save the store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.